Index: plugins/alsa/Makefile
===================================================================
--- plugins/alsa/Makefile	(revision 3134)
+++ plugins/alsa/Makefile	(revision 3135)
@@ -9,7 +9,8 @@
 
 #DEFINES=-DDEBUG
+DEFINES=-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"alsa-plugins\" -DVERSION=\"1.0.13\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DSTDC_HEADERS=1 -DHAVE_LIBASOUND=1 -D_REENTRANT -DDEBUG
 CFLAGS += -g -Wall -O2 -I../../include $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) -I/usr/include/alsa -D_GNU_SOURCE
-LDFLAGS = -g $(SHARED) $(LDPATH) -L../../lib -module -avoid-version -export-dynamic
-LIBS    = $(LIBROAR) -lasound
+LDFLAGS = -g $(SHARED) $(LDPATH) -L../../lib 
+LIBS    = $(LIBROAR) -lm -ldl /usr/lib/libasound.so
 
 all: ${TARGET}
@@ -26,3 +27,3 @@
 
 $(SLIB): $(OBJS)
-	$(CC) $(LDFLAGS) -Wl,-soname,$(SLIB) -o $(SLIB) $(OBJS) $(LIBS)
+	$(CC) $(LDFLAGS) -Wl,-soname -Wl,$(SLIB) -o $(SLIB) $(OBJS) $(LIBS)
Index: plugins/alsa/pcm.c
===================================================================
--- plugins/alsa/pcm.c	(revision 3134)
+++ plugins/alsa/pcm.c	(revision 3135)
@@ -50,4 +50,6 @@
  int ret;
 
+ ROAR_DBG("roar_hw_constraint(*) = ?");
+
  if ( (ret = snd_pcm_ioplug_set_param_list(io, SND_PCM_IOPLUG_HW_ACCESS,
         _as(access_list), access_list)) < 0 )
@@ -74,12 +76,16 @@
   return ret;
 
+ ROAR_DBG("roar_hw_constraint(*) = 0");
+
  return 0;
 }
 
 static int roar_pcm_dummy (snd_pcm_ioplug_t * io) {
+ ROAR_DBG("roar_pcm_dummy(*) = ?");
  return 0;
 }
 
 static snd_pcm_sframes_t roar_pcm_pointer(snd_pcm_ioplug_t *io) {
+ ROAR_DBG("roar_pcm_pointer(*) = ?");
  return 0;
 }
@@ -93,4 +99,6 @@
  char * buf;
 
+ ROAR_DBG("roar_pcm_transfer(*) = ?");
+
  buf = (char *)areas->addr + (areas->first + areas->step * offset) / 8;
 
@@ -101,4 +109,5 @@
 
 static int roar_pcm_delay(snd_pcm_ioplug_t *io, snd_pcm_sframes_t *delayp) {
+ ROAR_DBG("roar_pcm_delay(*) = ?");
  return 0;
 }
@@ -106,4 +115,6 @@
 static int roar_pcm_prepare(snd_pcm_ioplug_t *io) {
  struct roar_alsa_pcm * self = io->private_data;
+
+ ROAR_DBG("roar_pcm_prepare(*) = ?");
 
  if ( self->stream_opened ) {
@@ -127,4 +138,6 @@
 static int roar_pcm_hw_params(snd_pcm_ioplug_t *io, snd_pcm_hw_params_t *params) {
  struct roar_alsa_pcm * self = io->private_data;
+
+ ROAR_DBG("roar_pcm_hw_params(*) = ?");
 
  self->info.channels = io->channels;
@@ -161,4 +174,6 @@
 static int roar_pcm_close (snd_pcm_ioplug_t * io) {
  struct roar_alsa_pcm * self = io->private_data;
+
+ ROAR_DBG("roar_pcm_close(*) = ?");
 
  roar_disconnect(&(self->roar.con));
@@ -192,5 +207,5 @@
  int            ret;
 
- printf("TEST!\n");
+ ROAR_DBG("SND_PCM_PLUGIN_DEFINE_FUNC(roar) = ?");
 
  snd_config_for_each(i, next, conf) {
@@ -245,4 +260,6 @@
  }
 
+ ROAR_DBG("SND_PCM_PLUGIN_DEFINE_FUNC(roar) = 0");
+
  return 0;
 }
@@ -250,3 +267,7 @@
 SND_PCM_PLUGIN_SYMBOL(roar);
 
+int __snd_pcm_roar_open_dlsym_pcm_001 (void) {
+ return 0;
+}
+
 //ll
Index: plugins/alsa/roar.c
===================================================================
--- plugins/alsa/roar.c	(revision 3133)
+++ plugins/alsa/roar.c	(revision 3135)
@@ -35,3 +35,5 @@
 #include "roar.h"
 
+struct snd_dlsym_link *snd_dlsym_start;
+
 //ll
Index: plugins/alsa/roar.h
===================================================================
--- plugins/alsa/roar.h	(revision 3134)
+++ plugins/alsa/roar.h	(revision 3135)
@@ -39,4 +39,5 @@
 #include <errno.h>
 #include <alsa/asoundlib.h>
+#include <alsa/global.h>
 #include <alsa/pcm_external.h>
 #include <alsa/control_external.h>
Index: plugins/alsavs/Makefile
===================================================================
--- plugins/alsavs/Makefile	(revision 3134)
+++ plugins/alsavs/Makefile	(revision 3135)
@@ -9,7 +9,8 @@
 
 #DEFINES=-DDEBUG
+DEFINES=-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"alsa-plugins\" -DVERSION=\"1.0.13\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DSTDC_HEADERS=1 -DHAVE_LIBASOUND=1 -D_REENTRANT -DDEBUG
 CFLAGS += -g -Wall -O2 -I../../include $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) -I/usr/include/alsa -D_GNU_SOURCE
-LDFLAGS = -g $(SHARED) $(LDPATH) -L../../lib -module -avoid-version -export-dynamic
-LIBS    = $(LIBROAR) -lasound
+LDFLAGS = -g $(SHARED) $(LDPATH) -L../../lib 
+LIBS    = $(LIBROAR) -lm -ldl /usr/lib/libasound.so
 
 all: ${TARGET}
@@ -26,3 +27,3 @@
 
 $(SLIB): $(OBJS)
-	$(CC) $(LDFLAGS) -Wl,-soname,$(SLIB) -o $(SLIB) $(OBJS) $(LIBS)
+	$(CC) $(LDFLAGS) -Wl,-soname -Wl,$(SLIB) -o $(SLIB) $(OBJS) $(LIBS)
Index: plugins/alsavs/roar.c
===================================================================
--- plugins/alsavs/roar.c	(revision 3133)
+++ plugins/alsavs/roar.c	(revision 3135)
@@ -35,3 +35,5 @@
 #include "roar.h"
 
+struct snd_dlsym_link *snd_dlsym_start;
+
 //ll
Index: plugins/alsavs/roar.h
===================================================================
--- plugins/alsavs/roar.h	(revision 3134)
+++ plugins/alsavs/roar.h	(revision 3135)
@@ -39,4 +39,5 @@
 #include <errno.h>
 #include <alsa/asoundlib.h>
+#include <alsa/global.h>
 #include <alsa/pcm_external.h>
 #include <alsa/control_external.h>
